org.apache.solr.client.solrj.request

## Class CollectionAdminRequest.Migrate

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<CollectionAdminResponse>
  - - org.apache.solr.client.solrj.request.CollectionAdminRequest<CollectionAdminRequest.Migrate>
    - - org.apache.solr.client.solrj.request.CollectionAdminRequest.Migrate

All Implemented Interfaces:
  Serializable

Enclosing class:
  CollectionAdminRequest<Q extends CollectionAdminRequest<Q>>

    public static class CollectionAdminRequest.Migrate
    extends CollectionAdminRequest<CollectionAdminRequest.Migrate>

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`CollectionAdminRequest.AddReplica, CollectionAdminRequest.AddReplicaProp, CollectionAdminRequest.AddRole, CollectionAdminRequest.BalanceShardUnique, CollectionAdminRequest.ClusterProp, CollectionAdminRequest.ClusterStatus, CollectionAdminRequest.CollectionAdminRoleRequest<T extends CollectionAdminRequest<T>>, CollectionAdminRequest.CollectionShardAdminRequest<T extends CollectionAdminRequest<T>>, CollectionAdminRequest.CollectionSpecificAdminRequest<T extends CollectionAdminRequest<T>>, CollectionAdminRequest.Create, CollectionAdminRequest.CreateAlias, CollectionAdminRequest.CreateShard, CollectionAdminRequest.Delete, CollectionAdminRequest.DeleteAlias, CollectionAdminRequest.DeleteReplica, CollectionAdminRequest.DeleteReplicaProp, CollectionAdminRequest.DeleteShard, CollectionAdminRequest.ForceLeader, CollectionAdminRequest.List, CollectionAdminRequest.Migrate, CollectionAdminRequest.MigrateClusterState, CollectionAdminRequest.OverseerStatus, CollectionAdminRequest.Reload, CollectionAdminRequest.RemoveRole, CollectionAdminRequest.RequestStatus, CollectionAdminRequest.SplitShard`

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.METHOD`

### Field Summary

### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`action`

### Constructor Summary

Constructors
Constructor and Description
`CollectionAdminRequest.Migrate()`

### Method Summary

Methods
`String` `getAsyncId()`
`String` `getCollectionName()`
`Integer` `getForwardTimeout()`
`SolrParams` `getParams()`
`Properties` `getProperties()`
`String` `getSplitKey()`
`String` `getTargetCollection()`
`protected CollectionAdminRequest.Migrate` `getThis()`
`CollectionAdminRequest.Migrate` `setAsyncId(String asyncId)`
`CollectionAdminRequest.Migrate` `setCollectionName(String collection)`
`CollectionAdminRequest.Migrate` `setForwardTimeout(int forwardTimeout)`
`CollectionAdminRequest.Migrate` `setProperties(Properties properties)`
`CollectionAdminRequest.Migrate` `setSplitKey(String splitKey)`
`CollectionAdminRequest.Migrate` `setTargetCollection(String targetCollection)`

### Methods inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`addProperties, createResponse, getContentStreams, setAction`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`getBasicAuthPassword, getBasicAuthUser, getMethod, getPath, getQueryParams, getResponseParser, getStreamingResponseCallback, process, process, setBasicAuthCredentials, setMethod, setPath, setQueryParams, setResponseParser, setStreamingResponseCallback`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CollectionAdminRequest.Migrate

    public CollectionAdminRequest.Migrate()

### Method Detail

#### setCollectionName

    public CollectionAdminRequest.Migrate setCollectionName(String collection)

#### getCollectionName

    public String getCollectionName()

#### setTargetCollection

    public CollectionAdminRequest.Migrate setTargetCollection(String targetCollection)

#### getTargetCollection

    public String getTargetCollection()

#### setSplitKey

    public CollectionAdminRequest.Migrate setSplitKey(String splitKey)

#### getSplitKey

    public String getSplitKey()

#### setForwardTimeout

    public CollectionAdminRequest.Migrate setForwardTimeout(int forwardTimeout)

#### getForwardTimeout

    public Integer getForwardTimeout()

#### setProperties

    public CollectionAdminRequest.Migrate setProperties(Properties properties)

#### getProperties

    public Properties getProperties()

#### getParams

    public SolrParams getParams()

Overrides:
  `getParams` in class `CollectionAdminRequest<CollectionAdminRequest.Migrate>`

#### setAsyncId

    public CollectionAdminRequest.Migrate setAsyncId(String asyncId)

#### getAsyncId

    public String getAsyncId()

#### getThis

    protected CollectionAdminRequest.Migrate getThis()

Specified by:
  `getThis` in class `CollectionAdminRequest<CollectionAdminRequest.Migrate>`